summaryrefslogtreecommitdiff
path: root/packaging/SGI
diff options
context:
space:
mode:
authorDavid O'Neill <dmo@samba.org>2001-01-05 17:59:31 +0000
committerDavid O'Neill <dmo@samba.org>2001-01-05 17:59:31 +0000
commit79b73e62ee23bc28a169ec4cee1740ba688e972d (patch)
treeca0759ff389fdef978406c3a2d0202a11c3a5a60 /packaging/SGI
parentfbe0299e54df9173859182fad0071c7a3217b403 (diff)
downloadsamba-79b73e62ee23bc28a169ec4cee1740ba688e972d.tar.gz
samba-79b73e62ee23bc28a169ec4cee1740ba688e972d.tar.bz2
samba-79b73e62ee23bc28a169ec4cee1740ba688e972d.zip
Sync up packaging updates that didn't make it to HEAD.
(This used to be commit c6f7358535eb96112e055d60d39c1595601d3056)
Diffstat (limited to 'packaging/SGI')
-rw-r--r--packaging/SGI/STATUS..LCK0
-rwxr-xr-xpackaging/SGI/idb.pl3
-rwxr-xr-xpackaging/SGI/inetd.sh12
-rwxr-xr-xpackaging/SGI/inst.msg2
-rwxr-xr-xpackaging/SGI/removeswat.sh12
-rwxr-xr-xpackaging/SGI/startswat.sh12
6 files changed, 32 insertions, 9 deletions
diff --git a/packaging/SGI/STATUS..LCK b/packaging/SGI/STATUS..LCK
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packaging/SGI/STATUS..LCK
+++ /dev/null
diff --git a/packaging/SGI/idb.pl b/packaging/SGI/idb.pl
index 4d472dc070..82a49ee31a 100755
--- a/packaging/SGI/idb.pl
+++ b/packaging/SGI/idb.pl
@@ -208,7 +208,7 @@ while (@sorted) {
print IDB "d 0755 root sys usr/samba/src/$nextfile $SRCPFX/$nextfile $PKG.src.samba\n";
}
else {
- if (grep((/\.sh$/ | /configure$/ | /configure\.developer/ | /config\.guess/ | /config\.sub/ | /\.pl$/ | /mkman$/),$nextfile)) {
+ if (grep((/\.sh$/ | /configure$/ | /configure\.developer/ | /config\.guess/ | /config\.sub/ | /\.pl$/ | /mkman$/ | /pcp\/Install/ | /pcp\/Remove/),$nextfile)) {
print IDB "f 0755 root sys usr/samba/src/$nextfile $SRCPFX/$nextfile $PKG.src.samba\n";
}
else {
@@ -233,7 +233,6 @@ while (@swatfiles) {
print IDB "d 0755 root sys usr/samba/var $SRCPFX/packaging/SGI $PKG.sw.base\n";
print IDB "d 0755 root sys usr/samba/var/locks $SRCPFX/packaging/SGI $PKG.sw.base\n";
-print IDB "f 0644 root sys usr/samba/var/locks/STATUS..LCK $SRCPFX/packaging/SGI/STATUS..LCK $PKG.sw.base\n";
if ($PKG eq "samba_irix") {
while(@books) {
diff --git a/packaging/SGI/inetd.sh b/packaging/SGI/inetd.sh
index 8c4c6cb8d8..1d403978ae 100755
--- a/packaging/SGI/inetd.sh
+++ b/packaging/SGI/inetd.sh
@@ -8,8 +8,12 @@ chkconfig samba off
#
# add SAMBA deamons to inetd.conf
#
-cp /etc/inetd.conf /etc/inetd.O
-sed -e "/^netbios/D" -e "/^#SAMBA/D" /etc/inetd.O > /etc/inetd.conf
+cp /etc/inetd.conf /etc/inetd.conf.O
+
+if [ $? -ne 0 ]; then exit 1; fi
+if [ ! -r /etc/inetd.conf.O -o ! -w /etc/inetd.conf ]; then exit 1; fi
+
+sed -e "/^netbios/D" -e "/^#SAMBA/D" /etc/inetd.conf.O > /etc/inetd.conf
echo '#SAMBA services' >> /etc/inetd.conf
echo netbios-ssn stream tcp nowait root /usr/samba/bin/smbd smbd >> /etc/inetd.conf
echo netbios-ns dgram udp wait root /usr/samba/bin/nmbd nmbd -S >> /etc/inetd.conf
@@ -18,6 +22,10 @@ echo netbios-ns dgram udp wait root /usr/samba/bin/nmbd nmbd -S >> /etc
# add SAMBA service ports to /etc/services
#
cp /etc/services /etc/services.O
+
+if [ $? -ne 0 ]; then exit 1; fi
+if [ ! -r /etc/services.O -o ! -w /etc/services ]; then exit 1; fi
+
sed -e "/^netbios/D" -e "/^#SAMBA/D" /etc/services.O > /etc/services
echo '#SAMBA services' >> /etc/services
echo 'netbios-ns 137/udp # SAMBA' >> /etc/services
diff --git a/packaging/SGI/inst.msg b/packaging/SGI/inst.msg
index 248e990c4a..4d8bab389c 100755
--- a/packaging/SGI/inst.msg
+++ b/packaging/SGI/inst.msg
@@ -12,7 +12,7 @@ echo
echo http://`hostname`:901
echo
echo The original versions of /etc/services and
-echo /etc/inetd.conf were saved echo with a .O extension.
+echo /etc/inetd.conf were saved with a .O extension.
echo
echo If you do not wish SWAT to be enabled you may
echo run the script /usr/samba/scripts/removeswat.sh
diff --git a/packaging/SGI/removeswat.sh b/packaging/SGI/removeswat.sh
index 6834b25665..7a4745345b 100755
--- a/packaging/SGI/removeswat.sh
+++ b/packaging/SGI/removeswat.sh
@@ -2,13 +2,21 @@
#
# remove SWAT deamon from inetd.conf
#
-cp /etc/inetd.conf /etc/inetd.O
-sed -e "/^swat/D" -e "/^#SWAT/D" /etc/inetd.O > /etc/inetd.conf
+cp /etc/inetd.conf /etc/inetd.conf.O
+
+if [ $? -ne 0 ]; then exit 1; fi
+if [ ! -r /etc/inetd.conf.O -o ! -w /etc/inetd.conf ]; then exit 1; fi
+
+sed -e "/^swat/D" -e "/^#SWAT/D" /etc/inetd.conf.O > /etc/inetd.conf
#
# remove SWAT service port from /etc/services
#
cp /etc/services /etc/services.O
+
+if [ $? -ne 0 ]; then exit 1; fi
+if [ ! -r /etc/services.O -o ! -w /etc/services ]; then exit 1; fi
+
sed -e "/^swat/D" -e "/^#SWAT/D" /etc/services.O > /etc/services
#
diff --git a/packaging/SGI/startswat.sh b/packaging/SGI/startswat.sh
index c2fc9fb467..2a0333020f 100755
--- a/packaging/SGI/startswat.sh
+++ b/packaging/SGI/startswat.sh
@@ -2,8 +2,12 @@
#
# add SWAT deamon to inetd.conf
#
-cp /etc/inetd.conf /etc/inetd.O
-sed -e "/^swat/D" -e "/^#SWAT/D" /etc/inetd.O > /etc/inetd.conf
+cp /etc/inetd.conf /etc/inetd.conf.O
+
+if [ $? -ne 0 ]; then exit 1; fi
+if [ ! -r /etc/inetd.conf.O -o ! -w /etc/inetd.conf ]; then exit 1; fi
+
+sed -e "/^swat/D" -e "/^#SWAT/D" /etc/inetd.conf.O > /etc/inetd.conf
echo '#SWAT services' >> /etc/inetd.conf
echo swat stream tcp nowait root /usr/samba/bin/swat swat >> /etc/inetd.conf
@@ -11,6 +15,10 @@ echo swat stream tcp nowait root /usr/samba/bin/swat swat >> /etc/inetd.con
# add SWAT service port to /etc/services
#
cp /etc/services /etc/services.O
+
+if [ $? -ne 0 ]; then exit 1; fi
+if [ ! -r /etc/services.O -o ! -w /etc/services ]; then exit 1; fi
+
sed -e "/^swat/D" -e "/^#SWAT/D" /etc/services.O > /etc/services
echo '#SWAT services' >> /etc/services
echo 'swat 901/tcp # SWAT' >> /etc/services